claw::unsigned_integer_of_size< Size > Struct Template Reference

Define the type of an unsigned integer stored with a given number of bits. Template parameters. More...

`#include <types.hpp>`

## Public Types

typedef find_type_by_size< Size, unsigned_integers >::type | type
| The integer type that matches the given size.

## Detailed Description

template<std::size_t Size>
struct claw::unsigned_integer_of_size< Size >

Define the type of an unsigned integer stored with a given number of bits. Template parameters.

- Size The number of bytes in the types.

Definition at line 127 of file types.hpp.

## Member Typedef Documentation

## type

template<std::size_t Size>

typedef find_type_by_size<Size,unsigned_integers>::type claw::unsigned_integer_of_size< Size >::type

The integer type that matches the given size.

Definition at line 130 of file types.hpp.

The documentation for this struct was generated from the following file:

- types.hpp